%define		pname	naglite
%define		php_min_version 5.1.1
%include	/usr/lib/rpm/macros.php
Summary:	Naglite3 – Nagios status monitor for a NOC or operations room
Name:		nagios-%{pname}
Version:	1.6
Release:	4
License:	GPL
Group:		Applications/WWW
Source0:	https://github.com/saz/Naglite3/tarball/master/%{pname}-%{version}.tgz
# Source0-md5:	5f75248d14eb6c9bd2e925729868cbc4
Source1:	apache.conf
Source2:	lighttpd.conf
Source3:	httpd.conf
Patch0:		paths.patch
URL:		https://github.com/saz/Naglite3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(php)
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{pname}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
Full screen Nagios status monitor. Fits nicely in your NOC or
operations room. Inspired by Naglite and Naglite2.

%prep
%setup -qc
mv *-Naglite3-*/* .
mv config.php{.example,}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir}}
cp -p index.php *.css $RPM_BUILD_ROOT%{_appdir}
cp -p config.php $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base >= 1.3.37-3
%webapp_register apache %{_webapp}

%triggerin -- apache1 < 1.3.37-3, apache1-base >= 1.3.37-3
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%{_appdir}
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-naglite.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 147fea2
- use virtual php deps
- release 4 (by relup.sh)

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 931f8f4
- migrated to apache 2.4

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 6aeff8c
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Tue May 22 2012 Elan Ruusamäe <glen@pld-linux.org> 8b7f4f2
- up to 1.6 (minor fixes, adds config)

* Mon Oct 31 2011 Elan Ruusamäe <glen@pld-linux.org> c999277
- default restricted access

* Mon Oct 31 2011 Elan Ruusamäe <glen@pld-linux.org> 92683fc
- php deps

* Mon Oct 31 2011 Elan Ruusamäe <glen@pld-linux.org> 4288c5d
- fixup paths

* Mon Oct 31 2011 Elan Ruusamäe <glen@pld-linux.org> 7232644
- initial

